com.saxonica.stream.watch

## Class NonstreamingExpressionWatch

- java.lang.Object
- - com.saxonica.validate.AbstractWatch
  - - com.saxonica.stream.watch.ComposingWatch
    - - com.saxonica.stream.watch.VoidWatch
      - - com.saxonica.stream.watch.NonstreamingExpressionWatch

- All Implemented Interfaces:
    Watch

      public class NonstreamingExpressionWatch
      extends VoidWatch

  This watch is used for a streamed template that makes no access to descendant nodes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonstreamingExpressionWatch(Expression exp, Feed result, Stack<XPathContext> contextStack)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `open()` Open the watch.
    `void` | `setNonstreamingExpression(Expression exp)`

    - ### Methods inherited from class com.saxonica.stream.watch.VoidWatch

      `endSelectedParentNode, notifySelectedLeafNode, startSelectedParentNode`

    - ### Methods inherited from class com.saxonica.stream.watch.ComposingWatch

      `close, getContext, getContextStack, getResult`

    - ### Methods inherited from class com.saxonica.validate.AbstractWatch

      `getAnchorNode, getNamespaceResolver, getPipelineConfiguration, getSelection, setAnchorNode, setNamespaceResolver, setPipelineConfiguration, setSelection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NonstreamingExpressionWatch

          public NonstreamingExpressionWatch(Expression exp,
                                     Feed result,
                                     Stack<XPathContext> contextStack)

  - ### Method Detail

    - #### setNonstreamingExpression

          public void setNonstreamingExpression(Expression exp)

    - #### open

          public void open()
                    throws XPathException

      Description copied from class: `ComposingWatch`
      Open the watch. This is done at the point where it first starts watching for nodes that match the selection.
      Specified by:
        `open` in interface `Watch`
      Overrides:
        `open` in class `ComposingWatch`
      Throws:
        `XPathException`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.